Subject: Re: bug#61460: 30.0.50; Calendar shows eclipse for quarter moon

From: Michael Heerdegen <[email-masked]>
Date: Tue, 14 Feb 2023 10:15:59 +0100

Ulrich Mueller <[email-masked]> writes:

> I wonder why the angles in above explanation are completely different
> from the ones given in eclipse-check:
>
> 	  ((< moon-lat 2.42600766e-1)
> 	   (concat "** " phase-name " Eclipse **"))
> 	  ((< moon-lat 0.37)
> 	   (concat "** " phase-name " Eclipse possible **"))
>
> These are in radians. The first angle is 13.9° (exactly) and the
> second one is 21.2°. They are in argument of latitude, while (IIUC)
> the angles in "Finsternis-Limit" are given in ecliptic longitude.
> Still, with the moon's orbital inclination being only 5°, one wouldn't
> expect much of a difference there. Or am I missing something?

Indeed, I wondered too about those numbers (also a bit about the format
and the number of digits) and don't have an explanation.

AFAIU (rectangular spherical triangle) we should have something like

 tan 𝚫u = tan 𝚫λ / cos i  [did I get it right?]

(with u: argument of latitude, λ: ecliptic longitude, 𝚫 meaning distance
from lunar node, i inclination (~ 5 degrees)).  The conversion does not
make much of a difference.

Michael.